import {Injectable} from "@angular/core";
import {HttpClient} from "@angular/common/http";
import {HTTP} from "@ionic-native/http";
import {DataFormatService} from "../../core/dataFormat.service";
import {Observable} from "rxjs";
import {SERVER_API_URL} from "../../app/app.constants";

@Injectable()
export class DealService {

    constructor(private http: HttpClient, private nativeHttp: HTTP,
                private dataFormat: DataFormatService) {
    }

    //查询待办列表
    searchSchedule(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/schedule/search.do', data);
    }

    //详情
    scheduleDetail(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/schedule/accept.do', data);
    }

    //待办事项 操作接口
    scheduleAcceptdo(data): Observable<any> {
        return this.http.post(SERVER_API_URL + '/schedule/acceptdo.do', data);
    }
}
